import { Listener, ObserverValues, SetOptions, StarOrKey } from '../types';
declare class Observer<T = Record<string, any>> {
    #private;
    constructor(initialValues?: T);
    subscribe<K extends keyof T>(key: StarOrKey<K> | Array<StarOrKey<K>>, listener: Listener): () => void;
    set<StateType>(values: ObserverValues<StateType, T>, { silent }?: SetOptions): void;
    get<K extends keyof T>(key: K | Array<K>): any;
    get state(): T;
    isValid(key: string): boolean;
}
declare const observer: Observer<Record<string, any>>;
export { Observer, observer };
